var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", 'react', '../../../../index'], function (require, exports, React, index_1) {
    "use strict";
    var CheckboxBasicExample = (function (_super) {
        __extends(CheckboxBasicExample, _super);
        function CheckboxBasicExample() {
            _super.call(this);
            this._onToggleChanged = this._onToggleChanged.bind(this);
        }
        CheckboxBasicExample.prototype.render = function () {
            return (React.createElement("div", null, React.createElement(index_1.Checkbox, {text: 'Unselected item', onChanged: this._onToggleChanged}), React.createElement(index_1.Checkbox, {text: 'Selected item', onChanged: this._onToggleChanged, isChecked: true}), React.createElement(index_1.Checkbox, {text: 'Disabled item', isEnabled: false})));
        };
        CheckboxBasicExample.prototype._onToggleChanged = function (isChecked) {
            console.log("The option has been changed to " + isChecked + ".");
        };
        return CheckboxBasicExample;
    }(React.Component));
    exports.CheckboxBasicExample = CheckboxBasicExample;
});
